Межсайтовый скриптинг в ATutor

Дата публикации:
18.03.2010
Всего просмотров:
1088
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:M/Au:S/C:N/I:P/A:N/E:P/RL:U/RC:C) = Base:3.5/Temporal:3.2
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
PoC код
Уязвимые продукты:
ATutor 1.x
Уязвимые версии: ATutor 1.6.4, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в полях "Question" и "Choice" в сценарии tools/polls/add.php во время создания голосования, в полях "Type" и "Title" в сценарии tools/groups/create_manual.php во время создания групп, в поле "Title" в сценарии assignments/add_assignment.php во время создания задания. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Для успешной эксплуатации уязвимости требуются учетные данные группы "Instructor".

URL производителя: www.atutor.ca/atutor/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://www.exploit-db.com/exploits/11685

или введите имя

CAPTCHA